> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyzecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Apply bulk file rename



## OpenAPI

````yaml /openapi.json post /api/apps/{appId}/fs/bulk-rename/apply
openapi: 3.0.3
info:
  title: Hyze Cloud API
  description: Official API documentation
  version: 1.0.0
servers:
  - url: https://api.hyzecloud.com
security:
  - bearerAuth: []
paths:
  /api/apps/{appId}/fs/bulk-rename/apply:
    post:
      tags:
        - Applications
      summary: Apply bulk file rename
      operationId: postApiAppsByAppIdFsBulk-renameApply
      parameters:
        - name: appId
          in: path
          required: true
          schema:
            minLength: 1
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                basePath:
                  default: ''
                  type: string
                  maxLength: 1024
                find:
                  type: string
                  minLength: 1
                  maxLength: 200
                replace:
                  default: ''
                  type: string
                  maxLength: 200
                useRegex:
                  default: false
                  type: boolean
                includeFiles:
                  default: true
                  type: boolean
                includeDirs:
                  default: false
                  type: boolean
                defaultAction:
                  default: skip
                  type: string
                  enum:
                    - skip
                    - overwrite
                    - rename
                actions:
                  default: {}
                  type: object
                  additionalProperties:
                    type: string
                    enum:
                      - skip
                      - overwrite
                      - rename
              required:
                - find
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                basePath:
                  default: ''
                  type: string
                  maxLength: 1024
                find:
                  type: string
                  minLength: 1
                  maxLength: 200
                replace:
                  default: ''
                  type: string
                  maxLength: 200
                useRegex:
                  default: false
                  type: boolean
                includeFiles:
                  default: true
                  type: boolean
                includeDirs:
                  default: false
                  type: boolean
                defaultAction:
                  default: skip
                  type: string
                  enum:
                    - skip
                    - overwrite
                    - rename
                actions:
                  default: {}
                  type: object
                  additionalProperties:
                    type: string
                    enum:
                      - skip
                      - overwrite
                      - rename
              required:
                - find
          multipart/form-data:
            schema:
              type: object
              properties:
                basePath:
                  default: ''
                  type: string
                  maxLength: 1024
                find:
                  type: string
                  minLength: 1
                  maxLength: 200
                replace:
                  default: ''
                  type: string
                  maxLength: 200
                useRegex:
                  default: false
                  type: boolean
                includeFiles:
                  default: true
                  type: boolean
                includeDirs:
                  default: false
                  type: boolean
                defaultAction:
                  default: skip
                  type: string
                  enum:
                    - skip
                    - overwrite
                    - rename
                actions:
                  default: {}
                  type: object
                  additionalProperties:
                    type: string
                    enum:
                      - skip
                      - overwrite
                      - rename
              required:
                - find
      responses:
        default:
          description: Response
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: hyze_your_api_key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.